Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.user
Interface BambooUserManager

All Known Implementing Classes:
  BambooUserDetailsService, BambooUserManagerImpl

    public interface BambooUserManager

Service class to manage interactions with the user.

Field Summary
`static String` | `JABBER_ADDRESS_KEY`

Method Summary
`BambooUser` | `addUser(String username, String password, String email, String fullName, String jabberAddress, List groupNames)` Method that extends the standard addUser methods to also add Bamboo specific params
`BambooUser` | `addUser(String username, String password, String email, String fullName, String jabberAddress, List groupNames, ExtendedAuthor author)` Method that extends the standard addUser methods to also add Bamboo specific params
`BambooUser` | `getBambooUser(String username)` Returns a `BambooUser` of the given username
`List` | `getGroupNamesAsList(User user)` Returns groups for the `User`
`List` | `getMemberNamesAsList(Group group)`
`BambooUser` | `injectUser(String username, String encryptedPassword, String email, String fullName, String jabberAddress)` A variation of addUser which inserts the encryptedPassword instead - used for importing
`boolean` | `isDeletable(User user)`
`void` | `saveUser(String username, String email, String fullName, String jabberAddress, List groupNames)` Saves the properties for the given user
`void` | `saveUser(String username, String email, String fullName, String jabberAddress, List groupNames, ExtendedAuthor author)` Saves the properties for the given user
`void` | `setMembership(Group group, List members)` Sets a group's members as the passed list

Field Detail

### JABBER_ADDRESS_KEY

    static final String JABBER_ADDRESS_KEY

See Also:
  Constant Field Values

Method Detail

### getBambooUser

    BambooUser getBambooUser(String username)

  Returns a `BambooUser` of the given username

  Parameters:
    `username` -
  Returns:
    The matching user, null if does not exist

### addUser

    BambooUser addUser(String username,
                       String password,
                       String email,
                       String fullName,
                       String jabberAddress,
                       List groupNames)

  Method that extends the standard addUser methods to also add Bamboo specific params

  Parameters:
    `username` -
    `password` -
    `email` -
    `fullName` -
    `jabberAddress` -
    `groupNames` - - `List` of Strings as the group names. May be null.
  Returns:
    the created `BambooUser` object with the created properties

### addUser

    BambooUser addUser(String username,
                       String password,
                       String email,
                       String fullName,
                       String jabberAddress,
                       List groupNames,
                       ExtendedAuthor author)

  Method that extends the standard addUser methods to also add Bamboo specific params

  Parameters:
    `username` -
    `password` -
    `email` -
    `fullName` -
    `jabberAddress` -
    `groupNames` - - `List` of Strings as the group names. May be null.
    `author` -
  Returns:
    the created `BambooUser` object with the created properties

### saveUser

    void saveUser(String username,
                  String email,
                  String fullName,
                  String jabberAddress,
                  List groupNames)
                  throws IllegalArgumentException

  Saves the properties for the given user

  Parameters:
    `username` -
    `email` -
    `fullName` -
    `jabberAddress` -
    `groupNames` - - `List` of Strings as the group names. May be null.
  Throws:
    `IllegalArgumentException` - if ussername does not macth a user

### saveUser

    void saveUser(String username,
                  String email,
                  String fullName,
                  String jabberAddress,
                  List groupNames,
                  ExtendedAuthor author)
                  throws IllegalArgumentException

  Saves the properties for the given user

  Parameters:
    `username` -
    `email` -
    `fullName` -
    `jabberAddress` -
    `groupNames` - - `List` of Strings as the group names. May be null.
    `author` -
  Throws:
    `IllegalArgumentException` - if ussername does not macth a user

### getGroupNamesAsList

    List getGroupNamesAsList(User user)

  Returns groups for the `User`

  Parameters:
    `user` - - Must not be null
  Returns:
    `List` of `String` representing group names. `Collections.EMPTY_LIST` if none exists

### setMembership

    void setMembership(Group group,
                       List members)

  Sets a group's members as the passed list

  Parameters:
    `group` - - The group to modify the user list. Cannot be null.
    `members` - - `List` of username `String`s. Can be null

### getMemberNamesAsList

    List getMemberNamesAsList(Group group)

### injectUser

    BambooUser injectUser(String username,
                          String encryptedPassword,
                          String email,
                          String fullName,
                          String jabberAddress)

  A variation of addUser which inserts the encryptedPassword instead - used for importing

  Parameters:
    `username` -
    `encryptedPassword` -
    `email` -
    `fullName` -
    `jabberAddress` -
  Returns:
    the created `BambooUser` object with the created properties

### isDeletable

    boolean isDeletable(User user)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.